Anessa was previously called Insurely. You may still see the Insurely name in parts of our documentation while we complete the transition.

Routes

This is a preview version of the API intended for early testing and integration. Preview versions are not stable and may include breaking changes before general availability.

Get collections

GEThttps://api.insurely.com/collections

Returns all collections for the authenticated user within the client scope.

Request

Query Parameters

latestboolean

Return only the latest collection per company

statusInArray<string>

Filter by collection status (e.g. COMPLETED, FAILED)

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01.

Responses

Collections retrieved successfully.

Body

collectionIdstring

Unique identifier for the collection.

companystring

Company identifier.

createdAtstring[date-time]

Timestamp when the collection was created.

loginMethodstring

Login method used for the collection.

Possible Enum values are DANISH_NEMID, DANISH_MITID, DANISH_MITID_SAME_DEVICE, ESTONIAN_MOBILE_ID, ESTONIAN_SMART_ID, ESTONIAN_MOBILE_ID_USERNAME, ESTONIAN_SMART_ID_USERNAME, LATVIAN_MOBILE_EPARAKSTS, LATVIAN_SMART_ID, LATVIAN_MOBILE_EPARAKSTS_USERNAME, LATVIAN_SMART_ID_USERNAME, LITHUANIAN_SMART_ID, LITHUANIAN_MOBILE_ID, LITHUANIAN_SMART_ID_USERNAME, LITHUANIAN_MOBILE_ID_USERNAME, SMART_ID_SAME_DEVICE, SMART_ID_OTHER_DEVICE, SMART_ID_USERNAME_SAME_DEVICE, SMART_ID_USERNAME_OTHER_DEVICE, NORWEGIAN_BANKID_ON_MOBILE, NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER, SWEDISH_MOBILE_BANKID_OTHER_DEVICE, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK, SWEDISH_MOBILE_BANKID_SAME_DEVICE, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST, SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST, SWEDISH_SECURITY_TOKEN, UK_DOB_USERNAME_PASSWORD, UK_LASTNAME_MEMBERSHIP_NUMBER, UK_USERNAME_POSTCODE, USERNAME_AND_PASSWORD, EMAIL, PDF_UPLOAD, GERMAN_EID, AUTHENTICATION_APP_URL or MANUAL_SELECT.
statusstring

Current status of the collection.

cURL
curl https://api.insurely.com/collections?latest=your-value&statusIn=your-value \
  -H "Authorization: Bearer <jwt-token>"